Skip to main content

Get Professional List

Retrieve the list of available professionals for the current authenticated user.

Request

GET https://api.meetinglawyers.com/chat/professionals

Headers

NameValue
Api-KeyIntegration identifier provided by MeetingLawyers
AuthorizationBearer token in JWT format retrieved from User Authenticate
Acceptapplication/json

Response

Returns an array of Professional entities with all information needed for its rendering.

Professional entity

NameTypeValue
professional_idStringProfessional unique identifier
statusString"offline", "online"
photoStringURL of a photo of the professional
nameStringName of the professional
titleStringProfessional short description in plain text
title_htmlStringShort professional description with basic html support (bold, italic, underline, color)
descriptionStringLong professional descripcion
speciality_idIntegerSee available specialities
collegiate_numberStringProfessional's collegiate number
schedulesArray<Schedule>List of connection schedules
next_connection_atStringDatetime in UTC (YYYY-MM-DDThh:mm) of next connection time. NULL if professional is already connected.
next_disconnection_atStringDatetime in in UTC (YYYY-MM-DDThh:mm) of next disconnection time. NULL if professional is already disconnected.
roomRoomChat room entity

Speciality list

IdDescription
1Generalist
2Tax
3Debts
4Driving
5Work
6Family
7Housing
8Consumer
11Criminal

Schedule entity

NameTypeValue
dayStringWeek day name in english (monday, tuesday, wednesday, thursday, friday, saturday, sunday)
start_first_periodStringTime in UTC when professional starts working in the morning
end_first_periodStringTime in UTC when professional ends working in the morning
start_second_periodStringTime in UTC when professional starts working in the afrernoon
end_second_periodStringTime in UTC when professional ends working in the afternoon

Room entity

NameTypeValue
idStringRoom unique identifier
last_messageMessageLast message entity
unread_messagesIntegerNumber of unread messages

Example

[
{
"professional_id": "285c3d07-9b63-41e0-829f-5d51b31ffd29",
"status": "online",
"avatar": "https://www.meetinglawyer.com/professionals/avatars/285c3d07.jpg",
"name": "José Martín",
"title": "Abogado General",
"title_html": "Abogado General",
"description": "Abogado colegiado como ejerciente en el Ilustre Colegio de Abogados de Barcelona bajo el número 138.021. Licenciado por la Universidad Autónoma de Barcelona. Master en derecho laboral en el Ilustre Colegio de Abogados de Barcelona.",
"speciality": 1,
"collegiate_number": "138.021",
"schedules": [
{
"day":"monday",
"start_first_period": "7:00",
"end_first_period": "12:00",
"start_second_period": "13:00",
"end_second_period": "16:00"
},
{
"day":"wednesday",
"start_first_period": "7:00",
"end_first_period": "12:00",
"start_second_period": "13:00",
"end_second_period": "16:00"
}
],
"next_connection_at": "2021-08-01T07:00",
"next_disconnection_at": null,
"room": {
"id": 34652,
"last_message": {
"from_user_id": "accec968-ec81-4af7-accb-e0e32e09fb26",
"to_user_id": "285c3d07-9b63-41e0-829f-5d51b31ffd29",
"room_id": 34625,
"message_id": "ba7af057-d031-4933-a033-75ddcfb3b260",
"status": "sent",
"type": "text",
"text": "Te paso una foto y un archivo",
"created_at": "2021-08-01T07:12:23"
},
"unread_messages": 2
}
},
{
"professional_id": "73a20fe6-5518-477c-b384-d4f0efb14bf0",
"status": "online",
"avatar": "https://www.meetinglawyer.com/professionals/avatars/d4f0efb14bf0.jpg",
"name": "Diana Barroso",
"title": "Derecho de la vivienda",
"title_html": "Derecho de la vivienda",
"description": "Letrada ICAM 545.242, graduada por la Universidad Autónoma de Madrid. Máster de Acceso a la Profesión de Abogado con tres años de experiencia. Abogada especializada en Derecho de Vivienda.",
"speciality": 1,
"collegiate_number": "545.242",
"schedules": [
{
"day":"tuesday",
"start_first_period": "7:00",
"end_first_period": "12:00",
"start_second_period": "13:00",
"end_second_period": "16:00"
},
{
"day":"thursday",
"start_first_period": "7:00",
"end_first_period": "12:00",
"start_second_period": "13:00",
"end_second_period": "16:00"
}
],
"next_connection_at": null,
"next_disconnection_at": "2021-08-01T15:00",
"room": null
}
]